org.apache.solr.client.solrj.routing

## Interface ReplicaListTransformerFactory

All Known Implementing Classes:
  AffinityReplicaListTransformerFactory

    public interface ReplicaListTransformerFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`ReplicaListTransformer` `getInstance(String configSpec, SolrParams requestParams, ReplicaListTransformerFactory fallback)`

### Method Detail

#### getInstance

    ReplicaListTransformer getInstance(String configSpec,
                                       SolrParams requestParams,
                                       ReplicaListTransformerFactory fallback)

Parameters:
  `configSpec` - spec for dynamic configuration of ReplicaListTransformer
  `requestParams` - the request parameters for which the ReplicaListTransformer is being generated
  `fallback` - used to generate fallback value; the getInstance() method of the specified fallback must not return null; The fallback value itself may be null if this implementation is known to never return null (i.e., if fallback will never be needed)
Returns:
  ReplicaListTransformer to be used for routing this request